<app-page-default>
  <fd-layout-panel class="panel-custom">
    <fd-layout-panel-header>
      <fd-layout-panel-head>
        <fd-breadcrumb>
          <fd-breadcrumb-item>
            <a fd-link routerLink="/dashboard">Dashboard</a>
          </fd-breadcrumb-item>
          <fd-breadcrumb-item>
            <span>Aprovação de Documentos</span>
          </fd-breadcrumb-item>
        </fd-breadcrumb>
        <h2>{{ detailPage.title | titlecase }}</h2>
        <fd-layout-panel-description
          >{{ detailPage.description }}
        </fd-layout-panel-description>
      </fd-layout-panel-head>
    </fd-layout-panel-header>
    <fd-layout-panel-body>
      <fd-busy-indicator [loading]="loading" [block]="true">
        <table fd-table [noBorderX]="true">
          <thead fd-table-header>
            <tr fd-table-row>
              <th fd-table-cell *ngFor="let header of tableHeaders">
                {{ header }}
              </th>
            </tr>
          </thead>
          <tbody fd-table-body>
            <ng-container *ngFor="let purchase of purchases">
              <tr fd-table-row [secondary]="true">
                <td fd-table-cell>
                  <fd-info-label
                    [color]="purchase.status | statusToColor"
                    modifier="pill"
                    [label]="
                    purchase.status === 'P'
                        ? 'Pendente'
                        : purchase.status === 'A'
                        ? 'Aprovado'
                        : 'Reprovado'
                    "
                    >
                    </fd-info-label
                  >
                </td>

                <td fd-table-cell>
                  {{ purchase.id }}
                </td>
                <td fd-table-cell>
                  {{ purchase.entityId }}
                </td>
                <td fd-table-cell>
                  {{ purchase.documentType }}
                </td>
                <td fd-table-cell>
                  {{ purchase.remarks }}
                </td>

                <td fd-table-cell>
                  {{ purchase.approveAt | date }}
                </td>

                <td fd-table-cell>
                  <button
                    fd-button
                    fdType="ghost"
                    glyph="approvals"
                    (click)="onShowDetail(purchase)"
                    [disabled]="purchase.status !== 'P'"
                  ></button>
                </td>
              </tr>
            </ng-container>
          </tbody>
          <tfoot fd-table-footer>
            <fd-pagination
              [totalItems]="totalContracts"
              [currentPage]="currentPage"
            ></fd-pagination>
          </tfoot>
        </table>
      </fd-busy-indicator>
    </fd-layout-panel-body>
  </fd-layout-panel>
</app-page-default>
